Bug#930862: Please correctly expose dpdk includes and libs

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#930862: Please correctly expose dpdk includes and libs

Thomas Goirand-3
Package: libdpdk-dev
Severity: important

Hi,

I tried to build OpenVSwitch with dpdk support in Debian, trying to
converge with the Ubuntu package, to ease compatibility and all.
However, I discovered that the issue in Debian is the DPDK package
itself, which isn't exposing itself correctly. Here's the output
of the ./configure --with-dpdk when it fails:

--- SNIP ---

checking for DPDK... yes
checking for library containing get_mempolicy... -lnuma
configure: error: Could not find DPDK library in default search path, Use --with-dpdk to specify the DPDK library installed in non-standard location
make[1]: *** [debian/rules:26: override_dh_auto_configure] Error 1

--- SNAP ---

To me, it just looks like DPDK isn't packaged to the right folder.
If you want to try yourself, you can attempt to build what's in
the Git here:

I've pushed the dpdk support of OVS into a debian/with-dpdk-support.

If there's a way to fix the Debian build with a parameter to
--with-dpdk, please let me know, but as much as I tried, there's
simply no way to fix without modifying the dpdk package.

I'll try to see how I can fix the DPDK package and see if I can
send you a patch, though I haven't figured out how to do this yet.

Cheers,

Thomas Goirand (zigo)

Reply | Threaded
Open this post in threaded view
|

Bug#930862: [Pkg-dpdk-devel] Bug#930862: Please correctly expose dpdk includes and libs

Luca Boccassi-3
On Fri, 2019-06-21 at 16:41 +0200, Thomas Goirand wrote:

> Package: libdpdk-dev
> Severity: important
>
> Hi,
>
> I tried to build OpenVSwitch with dpdk support in Debian, trying to
> converge with the Ubuntu package, to ease compatibility and all.
> However, I discovered that the issue in Debian is the DPDK package
> itself, which isn't exposing itself correctly. Here's the output
> of the ./configure --with-dpdk when it fails:
>
> --- SNIP ---
>
> checking for DPDK... yes
> checking for library containing get_mempolicy... -lnuma
> configure: error: Could not find DPDK library in default search path,
> Use --with-dpdk to specify the DPDK library installed in non-standard
> location
> make[1]: *** [debian/rules:26: override_dh_auto_configure] Error 1
>
> --- SNAP ---
>
> To me, it just looks like DPDK isn't packaged to the right folder.
> If you want to try yourself, you can attempt to build what's in
> the Git here:
>
> I've pushed the dpdk support of OVS into a debian/with-dpdk-support.
>
> If there's a way to fix the Debian build with a parameter to
> --with-dpdk, please let me know, but as much as I tried, there's
> simply no way to fix without modifying the dpdk package.
>
> I'll try to see how I can fix the DPDK package and see if I can
> send you a patch, though I haven't figured out how to do this yet.
>
> Cheers,
>
> Thomas Goirand (zigo)
Hi,

Thanks for working on OVS.

You need a version of OVS that supports pkg-config. Myself and
Christian fixed that upstream a number of months ago, although I cannot
remember which version the fixes are in.

The older versions are looking for a linker script (libdpdk.so) which
doesn't exist anymore upstream.

Note that dpdk is exactly the same in Debian and Ubuntu - we jointly
maintain it from the same source base.

--
Kind regards,
Luca Boccassi

signature.asc (499 bytes) Download Attachment